@import url("https://fonts.googleapis.com/css2?family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&display=swap");

:root {
  font-weight: 400;
  line-height: 1.5;
  font-size: large;

  font-family: "JetBrains Mono", monospace;

  --bg: #1e2326;
  --bg1: #374145;
  --fg: #d3c6aa;
  --green: #a7c080;

  background-color: var(--bg);
  color: var(--fg);
}

a {
  color: inherit;
}

header {
  display: flex;
  justify-content: space-between;
  margin: 0 1rem;
  padding: 0.4rem 1rem;
  padding-top: 0;
  border-bottom: 2px solid var(--bg1);
}

main {
  margin: 1rem 0;
  display: flex;
  flex-direction: column;
  align-items: center;

  h1 {
    color: var(--green);
  }

  section {
    width: 60%;
  }
}

.cards {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1rem;

  .card {
    border: 2px solid var(--bg1);
    padding: 1rem;
    position: relative;
    top: 0;
    transition: top ease 0.2s;

    a {
      font-size: x-large;
    }

    &:hover {
      top: -4px;
      border-color: var(--green);
    }
  }
}

@media (max-width: 950px) {
  section {
    width: 80%;
  }

  .card:hover {
    top: 0;
  }

  .cards {
    grid-template-columns: 1fr;
  }
}
